> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenumero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Virtual Accounts

> Retrieve a paginated list of all virtual accounts created under your merchant account.

Retrieve a paginated list of all virtual accounts created under your merchant account.

## Endpoint

```
GET /api/v1/business/virtualaccount/all
```

**Signature required:** Yes

## Headers

| Header                       | Required | Description                                                                                                                                                                    |
| ---------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `X-Numero-Api-Key`           | Yes      | Your API key                                                                                                                                                                   |
| `X-Numero-Signature`         | Yes      | Base64 HMAC-SHA256 over the exact raw request body (POST) or the canonicalised query string (GET), keyed with your **Public Key**. See [Request signing](/03-request-signing). |
| `X-Numero-Signature-Version` | Yes      | Always `v2`.                                                                                                                                                                   |

## Query parameters

| Parameter    | Type     | Required | Default | Description                                  |
| ------------ | -------- | -------- | ------- | -------------------------------------------- |
| `startDate`  | datetime | No       | —       | Filter by creation date (from)               |
| `endDate`    | datetime | No       | —       | Filter by creation date (to)                 |
| `searchBy`   | string   | No       | —       | Search by account name, number, or reference |
| `pageNumber` | integer  | No       | 1       | Page number                                  |
| `pageSize`   | integer  | No       | 50      | Records per page                             |

## Request example

```bash theme={null}
curl -X GET "https://api.usenumero.com/numeroaccount/api/v1/business/virtualaccount/all?pageNumber=1&pageSize=20" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2"
```

## Response

```json theme={null}
{
  "data": {
    "accounts": [
      {
        "reference": "VA-20240115-abc123",
        "accountName": "John Doe",
        "accountNumber": "8012345678",
        "bankName": "Providus Bank",
        "providerCode": "PROVIDUS",
        "details": {
          "type": "Customer",
          "email": "john.doe@example.com",
          "firstName": "John",
          "lastName": "Doe",
          "phone": "08012345678"
        }
      }
    ],
    "pageNumber": 1,
    "pageSize": 20,
    "totalCount": 45
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```
